xml_get_current_line_number
xml_parse_into_struct
XML Parser Functions
PHP Manual

# xml_get_error_code

Get XML parser error code

### Description

int xml_get_error_code ( resource `$parser` )

Gets the XML parser error code.

### Parameters

`parser`

  A reference to the XML parser to get error code from.

### Return Values

This function returns `FALSE` if `parser` does not refer to a valid parser, or else it returns one of the error codes listed in the error codes section.

### See Also

- xml_error_string